cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PRT

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PRT

- All Implemented Interfaces:
    ISegment

      public class PRT
      extends Segment

  PRT - Participation Information Segment.

  The Participation Information segment contains the data necessary to add, update, correct, and delete from the record persons, organizations, devices, or locations (participants) participating in the activity being transmitted.

  Represents an HL7 PRT message segment. This segment has the following fields:

  PRT-1: Participation Instance ID (EI)Conditional
  PRT-2: Action Code (ID)Required
  PRT-3: Action Reason (CWE)Optional
  PRT-4: Participation (CWE)Required
  PRT-5: Participation Person (XCN)Conditional
  PRT-6: Participation Person Provider Type (CWE)Conditional
  PRT-7: Participant Organization Unit Type (CWE)Conditional
  PRT-8: Participation Organization (XON)Conditional
  PRT-9: Participant Location (PL)Conditional
  PRT-10: Participation Device (EI)Conditional
  PRT-11: Participation Begin Date/Time (arrival time) (DTM)Optional
  PRT-12: Participation End Date/Time (departure time) (DTM)Optional
  PRT-13: Participation Qualitative Duration (CWE)Optional
  PRT-14: Participation Address (XAD)Conditional
  PRT-15: Participant Telecommunication Address (XTN)Optional
  PRT-16: Participant Device Identifier (EI)Optional
  PRT-17: Participant Device Manufacture Date (DTM)Optional
  PRT-18: Participant Device Expiry Date (DTM)Optional
  PRT-19: Participant Device Lot Number (ST)Optional
  PRT-20: Participant Device Serial Number (ST)Optional
  PRT-21: Participant Device Donation Identification (EI)Optional
  PRT-22: Participation Device Type (CNE)Conditional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PRT()` Constructs the PRT segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParticipantTelecommunicationAddress(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Add the Participation Telecommunication Address.
    `void` | `addParticipantTelecommunicationAddress(XTN objParticipationAddress)` Add Participant Telecommunication Address.
    `void` | `addParticipationAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Participation Address.
    `void` | `addParticipationAddress(XAD objParticipationAddress)` Add the Participation Address.
    `void` | `addParticipationDevice(EI objParticipationDevice)` Add the Participation Device.
    `void` | `addParticipationDevice(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Add the Participation Device.
    `void` | `addParticipationLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Add the Participation Location.
    `void` | `addParticipationLocation(PL objParticipationLocation)` Add the Participation Location.
    `void` | `addParticipationOrganization(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Add the Participation Organization.
    `void` | `addParticipationOrganization(XON objParticipationOrganization)` Add the Participation Organization.
    `void` | `addParticipationPerson(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Participation Person.
    `void` | `addParticipationPerson(XCN objParticipationPerson)` Add the Participation Person.
    `ID` | `getActionCode()` Retrieves the Action Code.
    `CWE` | `getActionReason()` Retrieves the Action Reason.
    `CWE` | `getParticipation()` Retrieves the Participation.
    `ISingleCollection<XAD>` | `getParticipationAddress()` Retrieves the Participation Address.
    `DTM` | `getParticipationBeginDateTime()` Retrieves the Participation Begin Date Time.
    `ISingleCollection<EI>` | `getParticipationDevice()` Retrieves the Participation Device.
    `EI` | `getParticipationDeviceDonationIdentification()` Retrieves the Participation Device Donation Identification.
    `DTM` | `getParticipationDeviceExpiryDate()` Retrieves the Participation Device Expiry Date.
    `EI` | `getParticipationDeviceIdentifier()` Retrieves the Participation Device Identifier.
    `ST` | `getParticipationDeviceLotNumber()` Retrieves the Participation Device Lot Number.
    `DTM` | `getParticipationDeviceManufactureDate()` Retrieves the Participation Device Manufacture Date.
    `ST` | `getParticipationDeviceSerialNumber()` Retrieves the Participation Device Serial Number.
    `CNE` | `getParticipationDeviceType()` Retrieves the Participation Device Type.
    `DTM` | `getParticipationEndDateTime()` Retrieves the Participation End Date Time.
    `EI` | `getParticipationInstanceID()` Retrieves the Participation Instance ID.
    `ISingleCollection<PL>` | `getParticipationLocation()` Retrieves the Participation Location.
    `ISingleCollection<XON>` | `getParticipationOrganization()` Retrieves the Participation Organization.
    `CWE` | `getParticipationOrganizationUnitType()` Retrieves the Participation Organization Unit Type.
    `ISingleCollection<XCN>` | `getParticipationPerson()` Retrieves the Participation Person.
    `CWE` | `getParticipationPersonProviderType()` Retrieves the Participation Person Provider Type.
    `CWE` | `getParticipationQualitativeDuration()` Retrieves the Participation Qualitative Duration.
    `ISingleCollection<XTN>` | `getParticipationTelecommunicationAddress()` Retrieves the Participant Telecommunication Address.
    `void` | `setActionCode(ID objActionCode)` Set the Action code.
    `void` | `setActionCode(java.lang.String strActioncode)` Set the Action code.
    `void` | `setActionReason(CWE objactionReason)` Set the Action Reason.
    `void` | `setActionReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Action Reason.
    `void` | `setParticipantDeviceIdentifier(EI objParticipantDeviceIdentifier)` Set the Participant Device Identifier.
    `void` | `setParticipantDeviceIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Participant Device Identifier.
    `void` | `setParticipantTelecommunicationAddress(ISingleCollection<XTN> objParticipantTelecommunicationAddress)` Set Participant Telecommunication Address.
    `void` | `setParticipation(CWE objParticipation)` Set the Participation.
    `void` | `setParticipation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Participation.
    `void` | `setParticipationAddress(ISingleCollection<XAD> objParticipationAddressList)` Set the Participation Address.
    `void` | `setParticipationBeginDateTime(DTM objParticipationBeginDateTime)` Set the Participation Begin Date Time.
    `void` | `setParticipationBeginDateTime(java.lang.String strTime)` Set the Participation Begin Date Time.
    `void` | `setParticipationDevice(ISingleCollection<EI> objParticipationDeviceList)` Set the Participation Device.
    `void` | `setParticipationDeviceDonationIdentification(EI objParticipationDeviceDonationIdentification)` Set the Participation Device Donation Identification.
    `void` | `setParticipationDeviceDonationIdentification(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Participation Device Donation Identification.
    `void` | `setParticipationDeviceExpiryDate(DTM objParticipationDeviceExpiryDate)` Set the Participation Device Expiry Date.
    `void` | `setParticipationDeviceExpiryDate(java.lang.String strTime)` Set the Participation Device Expiry Date.
    `void` | `setParticipationDeviceLotNumber(ST objParticipationDeviceLotNumbersetParticipationDeviceLotNumber)` Set the Participation Device Lot Number.
    `void` | `setParticipationDeviceLotNumber(java.lang.String strParticipationDeviceLotNumber)` Set the Participation Device Lot Number.
    `void` | `setParticipationDeviceManufactureDate(DTM objParticipationDeviceManufactureDate)` Set the Participation Device Manufacture Date.
    `void` | `setParticipationDeviceManufactureDate(java.lang.String strTime)` Set the Participation Device Manufacture Date.
    `void` | `setParticipationDeviceSerialNumber(ST objParticipationDeviceSerialNumbersetParticipationDeviceLotNumber)` Set the Participation Device Serial Number.
    `void` | `setParticipationDeviceSerialNumber(java.lang.String strparticipationDeviceSerialNumber)` Set the Participation Device Serial Number.
    `void` | `setParticipationDeviceType(CNE objParticipationDeviceType)` Set the Participation Device Type.
    `void` | `setParticipationDeviceType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Participation Device Type.
    `void` | `setParticipationEndDateTime(DTM objParticipationEndDateTime)` Set the Participation End Date Time.
    `void` | `setParticipationEndDateTime(java.lang.String strTime)` Set the Participation End Date Time.
    `void` | `setParticipationInstanceID(EI objParticipationInstanceID)` Set the Participation Instance ID.
    `void` | `setParticipationInstanceID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Participation Instance ID.
    `void` | `setParticipationLocation(ISingleCollection<PL> objParticipationOrganizationList)` Set the Participation Location.
    `void` | `setParticipationOrganization(ISingleCollection<XON> objParticipationOrganizationList)` Set the Participation Organization.
    `void` | `setParticipationOrganizationUnitType(CWE objParticipationOrganizationUnitType)` Set the Participation Organization Unit Type.
    `void` | `setParticipationOrganizationUnitType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Participant Organization Unit Type.
    `void` | `setParticipationPerson(ISingleCollection<XCN> objParticipationPersonList)` Set the Participation Person.
    `void` | `setParticipationPersonProviderType(CWE objParticipationPersonProviderType)` Set the Participation Person Provider Type.
    `void` | `setParticipationPersonProviderType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Participation Person Provider Type.
    `void` | `setParticipationQualitativeDuration(CWE objParticipationQualitativeDuration)` Set the Participation Qualitative Duration.
    `void` | `setParticipationQualitativeDuration(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Participation Qualitative Duration.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, validate, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PRT

          public PRT()

      Constructs the PRT segment.

  - ### Method Detail

    - #### getParticipationInstanceID

          public EI getParticipationInstanceID()

      Retrieves the Participation Instance ID. This field contains a unique identifier of the specific participation record.
      Returns:
        EI - ParticipationInstanceID

    - #### getActionCode

          public ID getActionCode()

      Retrieves the Action Code. This field reveals the intent of the message.
      Returns:
        String - actionCode.

    - #### getActionReason

          public CWE getActionReason()

      Retrieves the Action Reason. This field indicates the reason why the person, organization, location, or device is assuming (or changing) the role (e.g., shift change, new primary nurse, etc.).
      Returns:
        CWE - actionReason.

    - #### getParticipation

          public CWE getParticipation()

      Retrieves the Participation. This field indicates the functional involvement with the activity being transmitted.
      Returns:
        CWE - participation

    - #### getParticipationPerson

          public ISingleCollection<XCN> getParticipationPerson()

      Retrieves the Participation Person. This field contains the identity of the person who is represented in the participation that is being transmitted.
      Returns:
        ISingleCollection - participationPerson.

    - #### getParticipationPersonProviderType

          public CWE getParticipationPersonProviderType()

      Retrieves the Participation Person Provider Type. This field contains a code identifying the provider type for the participating person.
      Returns:
        CWE - participationPersonProviderType.

    - #### getParticipationOrganizationUnitType

          public CWE getParticipationOrganizationUnitType()

      Retrieves the Participation Organization Unit Type. This field identifies the environment in which the participant acts in the role.
      Returns:
        CWE - participationOrganizationUnitType.

    - #### getParticipationOrganization

          public ISingleCollection<XON> getParticipationOrganization()

      Retrieves the Participation Organization. The organization that is involved in the participation.
      Returns:
        ISingleCollection - participationOrganization.

    - #### getParticipationLocation

          public ISingleCollection<PL> getParticipationLocation()

      Retrieves the Participation Location. This field specifies the physical location (e.g., nurse station, ancillary service location, clinic, or floor) that is participating.
      Returns:
        ISingleCollection - participationLocation.

    - #### getParticipationDevice

          public ISingleCollection<EI> getParticipationDevice()

      Retrieves the Participation Device. Identifier for the device participating. This may reflect an unstructured or a structured identifier such as FDA UDI, RFID, IEEE EUI-64 identifiers, or bar codes.
      Returns:
        ISingleCollection - participationDevice.

    - #### getParticipationBeginDateTime

          public DTM getParticipationBeginDateTime()

      Retrieves the Participation Begin Date Time. This field contains the date/time when the participation began.
      Returns:
        DTM - participationBeginDateTime

    - #### getParticipationEndDateTime

          public DTM getParticipationEndDateTime()

      Retrieves the Participation End Date Time. This field contains the date/time when the participation ended.
      Returns:
        DTM - participationEndDateTime

    - #### getParticipationQualitativeDuration

          public CWE getParticipationQualitativeDuration()

      Retrieves the Participation Qualitative Duration. This field indicates the functional involvement with the activity being transmitted.
      Returns:
        CWE - participationQualitativeDuration

    - #### getParticipationAddress

          public ISingleCollection<XAD> getParticipationAddress()

      Retrieves the Participation Address. This field contains addresses associated with the participation.
      Returns:
        ISingleCollection - participationAddress.

    - #### getParticipationTelecommunicationAddress

          public ISingleCollection<XTN> getParticipationTelecommunicationAddress()

      Retrieves the Participant Telecommunication Address. The waypoint telecommunication address field carries telecommunications addresses for the waypoint.
      Returns:
        ISingleCollection - participationTelecommunicationAddress.

    - #### getParticipationDeviceIdentifier

          public EI getParticipationDeviceIdentifier()

      Retrieves the Participation Device Identifier. This field provides the U.S. FDA UDI device identifier (DI) element.
      Returns:
        EI - participationDeviceIdentifier

    - #### getParticipationDeviceManufactureDate

          public DTM getParticipationDeviceManufactureDate()

      Retrieves the Participation Device Manufacture Date. This field contains the date and time when the device was manufacturered.
      Returns:
        DTM - participationDeviceManufactureDate

    - #### getParticipationDeviceExpiryDate

          public DTM getParticipationDeviceExpiryDate()

      Retrieves the Participation Device Expiry Date. This field contains the date and time when the device is no longer approved for use.
      Returns:
        DTM - participationDeviceExpiryDate

    - #### getParticipationDeviceLotNumber

          public ST getParticipationDeviceLotNumber()

      Retrieves the Participation Device Lot Number. This field specifies alphanumeric string that identifies the device’s production lot number.
      Returns:
        ST - participationDeviceLotNumber

    - #### getParticipationDeviceSerialNumber

          public ST getParticipationDeviceSerialNumber()

      Retrieves the Participation Device Serial Number. This field specifies the Manufacturer’s serial number for this device.
      Returns:
        ST - participationDeviceSerialNumber

    - #### getParticipationDeviceDonationIdentification

          public EI getParticipationDeviceDonationIdentification()

      Retrieves the Participation Device Donation Identification. This field identifies a device related to a donation (e.g., whole blood).
      Returns:
        EI - participationDeviceDonationIdentification

    - #### getParticipationDeviceType

          public CNE getParticipationDeviceType()

      Retrieves the Participation Device Type. This field contains the type of device used in the participation.
      Returns:
        CNE - participationDeviceType.

    - #### setParticipationInstanceID

          public void setParticipationInstanceID(java.lang.String strEntityIdentifier,
                                        java.lang.String strNamespaceId,
                                        java.lang.String strUniversalId,
                                        java.lang.String strUniversalIdType)

      Set the Participation Instance ID. This field contains a unique identifier of the specific participation record.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setParticipationInstanceID

          public void setParticipationInstanceID(EI objParticipationInstanceID)

      Set the Participation Instance ID. This field contains a unique identifier of the specific participation record.
      Parameters:
        `objParticipationInstanceID` - Object of Participation Instance ID.

    - #### setActionCode

          public void setActionCode(java.lang.String strActioncode)

      Set the Action code. This field reveals the intent of the message.
      Parameters:
        `strActioncode` - This field contains the String Value of Action code.

    - #### setActionCode

          public void setActionCode(ID objActionCode)

      Set the Action code. This field reveals the intent of the message.
      Parameters:
        `objActionCode` - Object of Action Code.

    - #### setActionReason

          public void setActionReason(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Action Reason. This field indicates the reason why the person, organization, location, or device is assuming (or changing) the role (e.g., shift change, new primary nurse, etc.).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setActionReason

          public void setActionReason(CWE objactionReason)

      Set the Action Reason. This field indicates the reason why the person, organization, location, or device is assuming (or changing) the role (e.g., shift change, new primary nurse, etc.).
      Parameters:
        `objactionReason` - Object of Action Reason.

    - #### setParticipation

          public void setParticipation(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Participation. This field indicates the functional involvement with the activity being transmitted.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setParticipation

          public void setParticipation(CWE objParticipation)

      Set the Participation. This field indicates the functional involvement with the activity being transmitted.
      Parameters:
        `objParticipation` - Object of Participation.

    - #### addParticipationPerson

          public void addParticipationPerson(java.lang.String strIDNumber,
                                    FN objFamilyName,
                                    java.lang.String strGivenName,
                                    java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                    java.lang.String strSuffix,
                                    java.lang.String strPrefix,
                                    CWE objSourceTable,
                                    HD objAssigningAuthority,
                                    java.lang.String strNameTypeCode,
                                    java.lang.String strIdentifierCheckDigit,
                                    java.lang.String strCheckDigitScheme,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strNameRepresentationCode,
                                    CWE objNameContext,
                                    java.lang.String strNameAssemblyOrder,
                                    java.lang.String strEffectiveDate,
                                    java.lang.String strExpirationDate,
                                    java.lang.String strProfessionalSuffix,
                                    CWE objAssigningJurisdiction,
                                    CWE objAssigningAgencyOrDepratment,
                                    java.lang.String strSecurityCheck,
                                    java.lang.String strSecurityCheckScheme)

      Add the Participation Person. This field contains the identity of the person who is represented in the participation that is being transmitted.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addParticipationPerson

          public void addParticipationPerson(XCN objParticipationPerson)

      Add the Participation Person. This field contains the identity of the person who is represented in the participation that is being transmitted.
      Parameters:
        `objParticipationPerson` - Object of Participation Person.

    - #### setParticipationPerson

          public void setParticipationPerson(ISingleCollection<XCN> objParticipationPersonList)

      Set the Participation Person. This field contains the identity of the person who is represented in the participation that is being transmitted.
      Parameters:
        `objParticipationPersonList` - List of Participation Person.

    - #### setParticipationPersonProviderType

          public void setParticipationPersonProviderType(java.lang.String strIdentifier,
                                                java.lang.String strText,
                                                java.lang.String strNameOfCodingSystem,
                                                java.lang.String strAlternateIdentifier,
                                                java.lang.String strAlternateText,
                                                java.lang.String strNameOfAlternateCodingSystem,
                                                java.lang.String strCodingSystemVersionID,
                                                java.lang.String strAlternateCodingSystemVersionId,
                                                java.lang.String strOriginalText,
                                                java.lang.String strSecondAlternateIdentifier,
                                                java.lang.String strSecondAlternateText,
                                                java.lang.String strNameofSecondAlternateCodingSystem,
                                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                                java.lang.String strCodingSystemOID,
                                                java.lang.String strValueSetOID,
                                                java.lang.String strValueSetVersionID,
                                                java.lang.String strAlternateCodingSystemOID,
                                                java.lang.String strAlternateValueSetOID,
                                                java.lang.String strAlternateValueSetVersionID,
                                                java.lang.String strSecondAlternateCodingSystemOID,
                                                java.lang.String strSecondAlternateValueSetOID,
                                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Participation Person Provider Type. This field contains a code identifying the provider type for the participating person.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setParticipationPersonProviderType

          public void setParticipationPersonProviderType(CWE objParticipationPersonProviderType)

      Set the Participation Person Provider Type. This field contains a code identifying the provider type for the participating person.
      Parameters:
        `objParticipationPersonProviderType` - Object of Participation Person Provider Type.

    - #### setParticipationOrganizationUnitType

          public void setParticipationOrganizationUnitType(java.lang.String strIdentifier,
                                                  java.lang.String strText,
                                                  java.lang.String strNameOfCodingSystem,
                                                  java.lang.String strAlternateIdentifier,
                                                  java.lang.String strAlternateText,
                                                  java.lang.String strNameOfAlternateCodingSystem,
                                                  java.lang.String strCodingSystemVersionID,
                                                  java.lang.String strAlternateCodingSystemVersionId,
                                                  java.lang.String strOriginalText,
                                                  java.lang.String strSecondAlternateIdentifier,
                                                  java.lang.String strSecondAlternateText,
                                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                                  java.lang.String strCodingSystemOID,
                                                  java.lang.String strValueSetOID,
                                                  java.lang.String strValueSetVersionID,
                                                  java.lang.String strAlternateCodingSystemOID,
                                                  java.lang.String strAlternateValueSetOID,
                                                  java.lang.String strAlternateValueSetVersionID,
                                                  java.lang.String strSecondAlternateCodingSystemOID,
                                                  java.lang.String strSecondAlternateValueSetOID,
                                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Participant Organization Unit Type. This field identifies the environment in which the participant acts in the role.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setParticipationOrganizationUnitType

          public void setParticipationOrganizationUnitType(CWE objParticipationOrganizationUnitType)

      Set the Participation Organization Unit Type. This field identifies the environment in which the participant acts in the role.
      Parameters:
        `objParticipationOrganizationUnitType` - Object of Participation Organization Unit Type.

    - #### addParticipationOrganization

          public void addParticipationOrganization(java.lang.String strOrganizationName,
                                          CWE objOrganizationNameTypeCode,
                                          HD objAssigningAuthority,
                                          java.lang.String strIdentifierTypeCode,
                                          HD objAssigningFacility,
                                          java.lang.String strNameRepresentationCode,
                                          java.lang.String strOrganizationIdentifier)

      Add the Participation Organization. The organization that is involved in the participation.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addParticipationOrganization

          public void addParticipationOrganization(XON objParticipationOrganization)

      Add the Participation Organization. The organization that is involved in the participation.
      Parameters:
        `objParticipationOrganization` - Object of Participation Organization.

    - #### setParticipationOrganization

          public void setParticipationOrganization(ISingleCollection<XON> objParticipationOrganizationList)

      Set the Participation Organization. The organization that is involved in the participation.
      Parameters:
        `objParticipationPersonList` - List of Participation Organization.

    - #### addParticipationLocation

          public void addParticipationLocation(HD objPointOfCare,
                                      HD objRoom,
                                      HD objBed,
                                      HD objFacility,
                                      java.lang.String strLocationStatus,
                                      java.lang.String strPersonLocationType,
                                      HD objBuilding,
                                      HD objFloor,
                                      java.lang.String strLocationDescription,
                                      EI objComprehensiveLocationIdentifier,
                                      HD objAssigningAuthorityForLocation)

      Add the Participation Location. This field specifies the physical location (e.g., nurse station, ancillary service location, clinic, or floor) that is participating.
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### addParticipationLocation

          public void addParticipationLocation(PL objParticipationLocation)

      Add the Participation Location. This field specifies the physical location (e.g., nurse station, ancillary service location, clinic, or floor) that is participating.
      Parameters:
        `objParticipationLocation` - Object of Participation Location.

    - #### setParticipationLocation

          public void setParticipationLocation(ISingleCollection<PL> objParticipationOrganizationList)

      Set the Participation Location. This field specifies the physical location (e.g., nurse station, ancillary service location, clinic, or floor) that is participating.
      Parameters:
        `objParticipationOrganizationList` - List of Participation Location.

    - #### addParticipationDevice

          public void addParticipationDevice(java.lang.String strEntityIdentifier,
                                    java.lang.String strNamespaceId,
                                    java.lang.String strUniversalId,
                                    java.lang.String strUniversalIdType)

      Add the Participation Device. Identifier for the device participating. This may reflect an unstructured or a structured identifier such as FDA UDI, RFID, IEEE EUI-64 identifiers, or bar codes.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### addParticipationDevice

          public void addParticipationDevice(EI objParticipationDevice)

      Add the Participation Device. Identifier for the device participating. This may reflect an unstructured or a structured identifier such as FDA UDI, RFID, IEEE EUI-64 identifiers, or bar codes.
      Parameters:
        `objParticipationDevice` - Object of Participation Device.

    - #### setParticipationDevice

          public void setParticipationDevice(ISingleCollection<EI> objParticipationDeviceList)

      Set the Participation Device. Identifier for the device participating. This may reflect an unstructured or a structured identifier such as FDA UDI, RFID, IEEE EUI-64 identifiers, or bar codes.
      Parameters:
        `objParticipationDeviceList` - List of Participation Device.

    - #### setParticipationBeginDateTime

          public void setParticipationBeginDateTime(java.lang.String strTime)

      Set the Participation Begin Date Time. This field contains the date/time when the participation began.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setParticipationBeginDateTime

          public void setParticipationBeginDateTime(DTM objParticipationBeginDateTime)

      Set the Participation Begin Date Time. This field contains the date/time when the participation began.
      Parameters:
        `objParticipationBeginDateTime` - Object of Participation Begin Date Time.

    - #### setParticipationEndDateTime

          public void setParticipationEndDateTime(java.lang.String strTime)

      Set the Participation End Date Time. This field contains the date/time when the participation ended.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setParticipationEndDateTime

          public void setParticipationEndDateTime(DTM objParticipationEndDateTime)

      Set the Participation End Date Time. This field contains the date/time when the participation ended.
      Parameters:
        `objParticipationBeginDateTime` - Object of Participation End Date Time.

    - #### setParticipationQualitativeDuration

          public void setParticipationQualitativeDuration(java.lang.String strIdentifier,
                                                 java.lang.String strText,
                                                 java.lang.String strNameOfCodingSystem,
                                                 java.lang.String strAlternateIdentifier,
                                                 java.lang.String strAlternateText,
                                                 java.lang.String strNameOfAlternateCodingSystem,
                                                 java.lang.String strCodingSystemVersionID,
                                                 java.lang.String strAlternateCodingSystemVersionId,
                                                 java.lang.String strOriginalText,
                                                 java.lang.String strSecondAlternateIdentifier,
                                                 java.lang.String strSecondAlternateText,
                                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                                 java.lang.String strCodingSystemOID,
                                                 java.lang.String strValueSetOID,
                                                 java.lang.String strValueSetVersionID,
                                                 java.lang.String strAlternateCodingSystemOID,
                                                 java.lang.String strAlternateValueSetOID,
                                                 java.lang.String strAlternateValueSetVersionID,
                                                 java.lang.String strSecondAlternateCodingSystemOID,
                                                 java.lang.String strSecondAlternateValueSetOID,
                                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Participation Qualitative Duration. This field contains the qualitative length of time for participation (e.g., until the next assessment, four days, until discharge, etc.).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setParticipationQualitativeDuration

          public void setParticipationQualitativeDuration(CWE objParticipationQualitativeDuration)

      Set the Participation Qualitative Duration. This field contains the qualitative length of time for participation (e.g., until the next assessment, four days, until discharge, etc.).
      Parameters:
        `objParticipationQualitativeDuration` - Object of Participation Qualitative Duration.

    - #### addParticipationAddress

          public void addParticipationAddress(SAD objStreetAddress,
                                     java.lang.String strOtherDesignation,
                                     java.lang.String strCity,
                                     java.lang.String strStateOrProvince,
                                     java.lang.String strZipOrPostalCode,
                                     java.lang.String strCountry,
                                     java.lang.String strAddressType,
                                     java.lang.String strOtherGeographicDesignation,
                                     CWE objCountyParishCode,
                                     CWE objCensusTract,
                                     java.lang.String strAddressRepresentationCode,
                                     DTM objEffectiveDate,
                                     DTM objExpirationDate,
                                     CWE objEXpirationReason,
                                     java.lang.String strTemporaryIndicator,
                                     java.lang.String strBadAddressIndicator,
                                     java.lang.String strAddressUsage,
                                     java.lang.String strAddressee,
                                     java.lang.String strComment,
                                     java.lang.String strPreferenceOrder,
                                     CWE objProtectionCode,
                                     EI objAddressIdentifier)

      Set the Participation Address. This field contains addresses associated with the participation.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addParticipationAddress

          public void addParticipationAddress(XAD objParticipationAddress)

      Add the Participation Address. This field contains addresses associated with the participation.
      Parameters:
        `objParticipationAddress` - Object of Participation Address.

    - #### setParticipationAddress

          public void setParticipationAddress(ISingleCollection<XAD> objParticipationAddressList)

      Set the Participation Address. This field contains addresses associated with the participation.
      Parameters:
        `objParticipationAddressList` - List of Participation Address.

    - #### addParticipantTelecommunicationAddress

          public void addParticipantTelecommunicationAddress(java.lang.String strTeleCommunicationUseCode,
                                                    java.lang.String strTeleCommunicationEquipmentType,
                                                    java.lang.String strCommuinicationAddress,
                                                    java.lang.String strCountryCode,
                                                    java.lang.String strAreaCityCode,
                                                    java.lang.String strLocalNumber,
                                                    java.lang.String strExtension,
                                                    java.lang.String strAnyText,
                                                    java.lang.String strExtensionPrefix,
                                                    java.lang.String strSpeedDialCode,
                                                    java.lang.String strUnformattedTelephoneNumber,
                                                    java.lang.String strEffectiveStartDate,
                                                    java.lang.String strExpirationDate,
                                                    CWE objExpirationReason,
                                                    CWE objProtectionCode,
                                                    EI objSharedTelecommunicationIdentifier,
                                                    java.lang.String strPreferenceOrder)

      Add the Participation Telecommunication Address. The waypoint telecommunication address field carries telecommunications addresses for the waypoint.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addParticipantTelecommunicationAddress

          public void addParticipantTelecommunicationAddress(XTN objParticipationAddress)

      Add Participant Telecommunication Address. The waypoint telecommunication address field carries telecommunications addresses for the waypoint.
      Parameters:
        `objParticipantTelecommunicationAddress` - Object of Participant Telecommunication Address.

    - #### setParticipantTelecommunicationAddress

          public void setParticipantTelecommunicationAddress(ISingleCollection<XTN> objParticipantTelecommunicationAddress)

      Set Participant Telecommunication Address. The waypoint telecommunication address field carries telecommunications addresses for the waypoint.
      Parameters:
        `objParticipantTelecommunicationAddress` - List of Participant Telecommunication Address.

    - #### setParticipantDeviceIdentifier

          public void setParticipantDeviceIdentifier(java.lang.String strEntityIdentifier,
                                            java.lang.String strNamespaceId,
                                            java.lang.String strUniversalId,
                                            java.lang.String strUniversalIdType)

      Set the Participant Device Identifier. This field provides the U.S. FDA UDI device identifier (DI) element.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setParticipantDeviceIdentifier

          public void setParticipantDeviceIdentifier(EI objParticipantDeviceIdentifier)

      Set the Participant Device Identifier. This field provides the U.S. FDA UDI device identifier (DI) element.
      Parameters:
        `objParticipantDeviceIdentifier` - Object of Participant Device Identifier.

    - #### setParticipationDeviceManufactureDate

          public void setParticipationDeviceManufactureDate(java.lang.String strTime)

      Set the Participation Device Manufacture Date. This field contains the date and time when the device was manufacturered.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setParticipationDeviceManufactureDate

          public void setParticipationDeviceManufactureDate(DTM objParticipationDeviceManufactureDate)

      Set the Participation Device Manufacture Date. This field contains the date and time when the device was manufacturered.
      Parameters:
        `objParticipationDeviceManufactureDate` - Object of Participation Device Manufacture Date.

    - #### setParticipationDeviceExpiryDate

          public void setParticipationDeviceExpiryDate(java.lang.String strTime)

      Set the Participation Device Expiry Date. This field contains the date and time when the device is no longer approved for use.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setParticipationDeviceExpiryDate

          public void setParticipationDeviceExpiryDate(DTM objParticipationDeviceExpiryDate)

      Set the Participation Device Expiry Date. This field contains the date and time when the device is no longer approved for use.
      Parameters:
        `objParticipationDeviceExpiryDate` - Object of Participation Device Expiry Date.

    - #### setParticipationDeviceLotNumber

          public void setParticipationDeviceLotNumber(java.lang.String strParticipationDeviceLotNumber)

      Set the Participation Device Lot Number. This field specifies alphanumeric string that identifies the device’s production lot number.
      Parameters:
        `strparticipationDeviceLotNumber` - Specifies the Participation Device Lot Number.

    - #### setParticipationDeviceLotNumber

          public void setParticipationDeviceLotNumber(ST objParticipationDeviceLotNumbersetParticipationDeviceLotNumber)

      Set the Participation Device Lot Number. This field specifies alphanumeric string that identifies the device’s production lot number.
      Parameters:
        `objParticipationDeviceLotNumbersetParticipationDeviceLotNumber` - is object of Participation Device Lot Number.

    - #### setParticipationDeviceSerialNumber

          public void setParticipationDeviceSerialNumber(java.lang.String strparticipationDeviceSerialNumber)

      Set the Participation Device Serial Number. This field specifies the Manufacturer’s serial number for this device.
      Parameters:
        `strparticipationDeviceSerialNumber` - Specifies the Participation Device Serial Number.

    - #### setParticipationDeviceSerialNumber

          public void setParticipationDeviceSerialNumber(ST objParticipationDeviceSerialNumbersetParticipationDeviceLotNumber)

      Set the Participation Device Serial Number. This field specifies the Manufacturer’s serial number for this device.
      Parameters:
        `objParticipationDeviceSerialNumbersetParticipationDeviceSerialNumber` - is object of Participation Device Serial Number.

    - #### setParticipationDeviceDonationIdentification

          public void setParticipationDeviceDonationIdentification(java.lang.String strEntityIdentifier,
                                                          java.lang.String strNamespaceId,
                                                          java.lang.String strUniversalId,
                                                          java.lang.String strUniversalIdType)

      Set the Participation Device Donation Identification. This field identifies a device related to a donation (e.g., whole blood).
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setParticipationDeviceDonationIdentification

          public void setParticipationDeviceDonationIdentification(EI objParticipationDeviceDonationIdentification)

      Set the Participation Device Donation Identification. This field identifies a device related to a donation (e.g., whole blood).
      Parameters:
        `objParticipationDeviceDonationIdentification` - Object of Participation Device Donation Identification.

    - #### setParticipationDeviceType

          public void setParticipationDeviceType(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionID,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameOfSecondAltenateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Participation Device Type. This field contains the type of device used in the participation.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setParticipationDeviceType

          public void setParticipationDeviceType(CNE objParticipationDeviceType)

      Set the Participation Device Type. This field contains the type of device used in the participation.
      Parameters:
        `objParticipationDeviceType` - Object of Participation Device Type.